
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--

    Methods

  -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Methods</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="rdoc-style.css" type="text/css" />
  <base target="docwin" />
</head>
<body>
<div id="index">
  <h1 class="section-bar">Methods</h1>
  <div id="index-entries">
    <a href="classes/AuthenticatedSystem.html#M000064">access_denied (AuthenticatedSystem)</a><br />
    <a href="classes/Admin/WorksController.html#M000097">add_comment (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000028">add_comment (WorksController)</a><br />
    <a href="classes/WorksController.html#M000021">add_edition (WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000090">add_edition (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000017">add_location (WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000086">add_location (Admin::WorksController)</a><br />
    <a href="classes/User.html#M000046">authenticate (User)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000062">authorized? (AuthenticatedSystem)</a><br />
    <a href="classes/Admin/WorksController.html#M000096">compare_version (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000027">compare_version (WorksController)</a><br />
    <a href="classes/LibrariesController.html#M000041">create (LibrariesController)</a><br />
    <a href="classes/InstrumentationsController.html#M000033">create (InstrumentationsController)</a><br />
    <a href="classes/WorksController.html#M000014">create (WorksController)</a><br />
    <a href="classes/Admin/ComposersController.html#M000101">create (Admin::ComposersController)</a><br />
    <a href="classes/PublishersController.html#M000006">create (PublishersController)</a><br />
    <a href="classes/Admin/WorksController.html#M000083">create (Admin::WorksController)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000060">current_user (AuthenticatedSystem)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000061">current_user= (AuthenticatedSystem)</a><br />
    <a href="classes/InstrumentationsController.html#M000036">destroy (InstrumentationsController)</a><br />
    <a href="classes/PublishersController.html#M000009">destroy (PublishersController)</a><br />
    <a href="classes/Admin/ComposersController.html#M000104">destroy (Admin::ComposersController)</a><br />
    <a href="classes/LibrariesController.html#M000044">destroy (LibrariesController)</a><br />
    <a href="classes/Admin/WorksController.html#M000094">destroy (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000025">destroy (WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000084">edit (Admin::WorksController)</a><br />
    <a href="classes/InstrumentationsController.html#M000034">edit (InstrumentationsController)</a><br />
    <a href="classes/Admin/ComposersController.html#M000102">edit (Admin::ComposersController)</a><br />
    <a href="classes/PublishersController.html#M000007">edit (PublishersController)</a><br />
    <a href="classes/LibrariesController.html#M000042">edit (LibrariesController)</a><br />
    <a href="classes/WorksController.html#M000015">edit (WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000091">edit_edition (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000022">edit_edition (WorksController)</a><br />
    <a href="classes/WorksController.html#M000018">edit_location (WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000087">edit_location (Admin::WorksController)</a><br />
    <a href="classes/User.html#M000047">encrypt (User)</a><br />
    <a href="classes/User.html#M000048">encrypt_password (User)</a><br />
    <a href="classes/ApplicationHelper.html#M000071">error_msg (ApplicationHelper)</a><br />
    <a href="classes/LabellingFormBuilder.html#M000057">error_msg (LabellingFormBuilder)</a><br />
    <a href="classes/Composer.html#M000001">full_name (Composer)</a><br />
    <a href="classes/ApplicationHelper.html#M000078">hyphenate (ApplicationHelper)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000067">included (AuthenticatedSystem)</a><br />
    <a href="classes/MainController.html#M000045">index (MainController)</a><br />
    <a href="classes/InstrumentationsController.html#M000029">index (InstrumentationsController)</a><br />
    <a href="classes/ComposersController.html#M000052">index (ComposersController)</a><br />
    <a href="classes/WorksController.html#M000010">index (WorksController)</a><br />
    <a href="classes/Admin/ComposersController.html#M000098">index (Admin::ComposersController)</a><br />
    <a href="classes/PublishersController.html#M000002">index (PublishersController)</a><br />
    <a href="classes/LibrariesController.html#M000037">index (LibrariesController)</a><br />
    <a href="classes/Admin/WorksController.html#M000079">index (Admin::WorksController)</a><br />
    <a href="classes/ApplicationHelper.html#M000074">labelled_check_box (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000075">labelled_password_field (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000072">labelled_select (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000073">labelled_text_field (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000077">labelled_text_span (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000076">labelled_text_span_old (ApplicationHelper)</a><br />
    <a href="classes/InstrumentationsController.html#M000030">list (InstrumentationsController)</a><br />
    <a href="classes/PublishersController.html#M000003">list (PublishersController)</a><br />
    <a href="classes/ComposersController.html#M000054">list (ComposersController)</a><br />
    <a href="classes/Admin/ComposersController.html#M000099">list (Admin::ComposersController)</a><br />
    <a href="classes/Admin/WorksController.html#M000080">list (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000011">list (WorksController)</a><br />
    <a href="classes/LibrariesController.html#M000038">list (LibrariesController)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000059">logged_in? (AuthenticatedSystem)</a><br />
    <a href="classes/UsersController.html#M000049">login (UsersController)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000068">login_from_cookie (AuthenticatedSystem)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000063">login_required (AuthenticatedSystem)</a><br />
    <a href="classes/UsersController.html#M000050">logout (UsersController)</a><br />
    <a href="classes/LibrariesController.html#M000040">new (LibrariesController)</a><br />
    <a href="classes/WorksController.html#M000013">new (WorksController)</a><br />
    <a href="classes/InstrumentationsController.html#M000032">new (InstrumentationsController)</a><br />
    <a href="classes/PublishersController.html#M000005">new (PublishersController)</a><br />
    <a href="classes/Admin/ComposersController.html#M000100">new (Admin::ComposersController)</a><br />
    <a href="classes/Admin/WorksController.html#M000082">new (Admin::WorksController)</a><br />
    <a href="classes/Library.html#M000058">nice_label (Library)</a><br />
    <a href="classes/ApplicationHelper.html#M000069">pager (ApplicationHelper)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000066">redirect_back_or_default (AuthenticatedSystem)</a><br />
    <a href="classes/UsersController.html#M000051">register (UsersController)</a><br />
    <a href="classes/WorksController.html#M000020">remove_edition (WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000089">remove_edition (Admin::WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000085">remove_location (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000016">remove_location (WorksController)</a><br />
    <a href="classes/WorksController.html#M000026">revert_to_version (WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000095">revert_to_version (Admin::WorksController)</a><br />
    <a href="classes/Admin/ComposersController.html#M000105">revert_to_version (Admin::ComposersController)</a><br />
    <a href="classes/SearchController.html#M000056">search_simple (SearchController)</a><br />
    <a href="classes/ComposersController.html#M000053">set_mode (ComposersController)</a><br />
    <a href="classes/Admin/WorksController.html#M000081">show (Admin::WorksController)</a><br />
    <a href="classes/PublishersController.html#M000004">show (PublishersController)</a><br />
    <a href="classes/ComposersController.html#M000055">show (ComposersController)</a><br />
    <a href="classes/InstrumentationsController.html#M000031">show (InstrumentationsController)</a><br />
    <a href="classes/LibrariesController.html#M000039">show (LibrariesController)</a><br />
    <a href="classes/WorksController.html#M000012">show (WorksController)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000065">store_location (AuthenticatedSystem)</a><br />
    <a href="classes/ApplicationHelper.html#M000070">text_field_tag_error (ApplicationHelper)</a><br />
    <a href="classes/InstrumentationsController.html#M000035">update (InstrumentationsController)</a><br />
    <a href="classes/WorksController.html#M000024">update (WorksController)</a><br />
    <a href="classes/PublishersController.html#M000008">update (PublishersController)</a><br />
    <a href="classes/LibrariesController.html#M000043">update (LibrariesController)</a><br />
    <a href="classes/Admin/ComposersController.html#M000103">update (Admin::ComposersController)</a><br />
    <a href="classes/Admin/WorksController.html#M000093">update (Admin::WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000092">update_edition (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000023">update_edition (WorksController)</a><br />
    <a href="classes/Admin/WorksController.html#M000088">update_location (Admin::WorksController)</a><br />
    <a href="classes/WorksController.html#M000019">update_location (WorksController)</a><br />
  </div>
</div>
</body>
</html>